Revision 9f87a730 - 2014-04-19 23:23 - Christian Kuhn

[TASK] Use composer for unit and functional tests in travis

The patch uses composer based dependency handling and other
stuff pushing travis-ci tests to the next level:

- phpunit registered as "dev" requirement in composer.json

- visStream registered as "dev" requirement in composer.json

- cms-composer-installers is not released stable and adapted
in composer.json for successful dependency resolving via
composer

- cloning travis-integration repository is obsolete by inlining
scripts in .travis.yml

- cloning ext:phpunit is obsolete, native phpunit by composer
is used now

- it is possible to set functional test suite database credentials
with environment variables, used in .travis.yml

- redis cache backend tests are enabled on travis-ci again

- use existing php modules of travis-ci environment speeds up build

With phpunit from composer, the command to run tests is
/bin/phpunit -c typo3/sysext/core/Build/UnitTests.xml
More documentation about that can be found at
http://wiki.typo3.org/Unit_Testing TYPO3
History

#1 - 2014-04-16 01:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/29495

#2 - 2014-04-16 01:24 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29495

#3 - 2014-04-16 01:37 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29495

#4 - 2014-04-16 12:08 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29495

#5 - 2014-04-18 11:50 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29495

#6 - 2014-04-18 12:07 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29495

#7 - 2014-04-19 23:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9f87a730d91eeb1f6102f0124c0ce668834c2784.
